<form class="search-form" [formGroup]="searchFormGroup" (ngSubmit)="onSubmit()">
  <div class="columns-container">
    <div class="column">
      <mat-form-field appearance="fill" class="search-form__field">
        <mat-label>{{'last_name' | transloco}}</mat-label>
        <input matInput formControlName="lastName">
      </mat-form-field>
      <mat-form-field appearance="fill" class="search-form__field">
        <mat-label>{{'first_name' | transloco}}</mat-label>
        <input matInput formControlName="firstName">
      </mat-form-field>
      <mat-form-field appearance="fill" class="search-form__field">
        <mat-label>{{'patronymic' | transloco}}</mat-label>
        <input matInput formControlName="patronymic">
      </mat-form-field>
    </div>

    <div class="column">
      <ng-container *ngIf="authorities$ | async; let authorities">
        <mat-form-field appearance="fill">
          <mat-label>{{'authority' | transloco}}</mat-label>
          <mat-select formControlName="authorityId">
            <mat-option *ngFor="let authority of authorities" [value]="authority.id">
              {{authority.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </ng-container>

      <mat-form-field appearance="fill">
        <mat-label>{{'expert_type' | transloco}}</mat-label>
        <mat-select formControlName="isFromGovernment">
          <mat-option [value]="true">
            {{true | isFromGovernmentTitle | transloco}}
          </mat-option>
          <mat-option [value]="false">
            {{false | isFromGovernmentTitle | transloco}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </div>

  </div>

  <div class="column" *ngIf="expertiseClasses" formGroupName="expertiseClassId">
      <p class="label">{{'expertise_classes' | transloco}}</p>
      <mat-checkbox *ngFor="let expertiseClass of expertiseClasses"
                    [formControlName]="expertiseClass.id.toString()">
        {{expertiseClass.classNumber}}. {{expertiseClass.name}}
      </mat-checkbox>
  </div>

  <button mat-raised-button color="primary" type="submit" [disabled]="!searchFormGroup.valid">
      {{'perform_search' | transloco}}
  </button>
</form>
